# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2024"
name = "macroforge_ts_macros"
version = "0.1.81"
authors = ["macroforge contributors"]
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "Derive macros for TypeScript compile-time code generation"
homepage = "https://github.com/macroforge-ts/macros"
readme = "README.md"
keywords = [
    "typescript",
    "macros",
    "codegen",
    "derive",
]
categories = ["development-tools::procedural-macro-helpers"]
license = "MIT"
repository = "https://github.com/macroforge-ts/macros"

[features]
default = []

[lib]
name = "macroforge_ts_macros"
path = "src/lib.rs"
proc-macro = true

[[test]]
name = "ui"
path = "tests/ui.rs"

[dependencies.convert_case]
version = "0.11.0"

[dependencies.proc-macro2]
version = "1.0.95"

[dependencies.quote]
version = "1.0.40"

[dependencies.syn]
version = "2.0.104"
features = ["full"]

[dev-dependencies.napi]
version = "3.0"

[dev-dependencies.trybuild]
version = "1.0"
